1 INTRODUCTION

DK-Matrix is a Windows programme that enables you to easily configure and remote control your MSD through the serial interface on your computer.

DK-Matrix can communicate with the MSD in two different modes.

The OFF-Line mode is the normal start-up mode where it is possible to open a previously saved configuration file from disk or Up- or Down- load a configuration file from/to a connected MSD.

In OFF-Line mode it is possible to change PPM-Colours, Input/Output names, set X-points, backlight intensity and other settings that will be available when the MSD is powered up or a new preset is selected on the MSD.

In the ON-Line (Remote Control) mode DK-Matrix connects to the MSD and loads the current status from the MSD. When connected it is possible to set X-points directly on the MSD or adjust the output gain for the Matrix.

Most of the other functions from the OFF-Line mode is not available.

Observe: If the ‘Remote Control’ item in the ‘File’-menu and the button on the toolbar is greyed out, the MSD does not support the DOT-protocol and therefore not the remote control functions. (Requires DSP-software version 5.0 or later in the MSD.)

A chart of the Audio Matrix in the MSD600M (Click image to zoom.)

DK-Matrix HTML-Help Rev: 1.2.


2 Load Files.

There are several ways to open the files DK-Matrix supports.

For the configuration files the normal way would be to select ‘Open’ [CTRL+O] from the ‘FILE’-menu or press the open button on the toolbar.

2.1 Recent Files.

When a file has been opened, the file will be added to the submenu of ‘Recent files’ in the ‘FILE’-menu, this submenu will list the last four configuration files that has been opened. Clicking one of these items will reopen the file.

2.2 Windows file explorer.

When DK-Matrix starts, it automatically checks if the configuration, macro and update files is associated with the program. If not, DK-Matrix will ask whether or not to associate the file types 'PRE', 'MCR' and 'CDP' with DK-Matrix.

Note: The file check can be disabled in the menu ‘Tools’-‘Options’.

If the file types are associated with DK-Matrix it is possible to double click the appropriate file in the windows file explorer. Doing so will start DK-Matrix if not already started.

Observe: Only one instance of DK-Matrix should be loaded if opening files this way.

2.3 Drag’n Drop from the Windows Explorer.

Another way to open files is to drag them from the explorer window and drop them in the matrix area. If one file is dropped in the matrix area it will be opened immediately.

If more than one file is dropped in the matrix area, a window will appear with a list of files to select from.

Double clicking a file in this window will either open a configuration file or execute the selected macro. This window is also accessible from the ‘Dropped Files…’-item in the ‘File’-menu.

Furthermore, in the macro list it is possible to check the items and execute more than one macro at a time by pressing ‘Execute Selected’. If ‘Execute All’ is pressed all items in the list will be executed. Please refer to chapter 9 'Macro Functions'.

When an item is right clicked a popup menu will appear making it possible execute or remove an item.

If an item is dragged inside the list, the file order can be changed. This is especially useful when executing several macros.


3 Select Serial Port.

In order to communicate with the MSD it is necessary to select which serial port to use.

If installed, DK-Matrix will select COM1 as default the first time it starts.

Use the ‘Interface’ item in the ‘File’-menu to select which comport to use. The ‘Interface’ item has a submenu that only shows the serial ports actually installed in the computer. If no serial ports is installed the submenu will state “No ports installed.”

Note: Windows 98™ might show ports that is not installed.

If a USB to RS232 converter is used it might not be available the next time DK-Matrix is started, if that is the case the communication functions will be disabled until a new port has been selected in the ‘Interface’ menu. The following message will also appear.

Please refer to the computer’s documentation for further information about installing and assigning serial ports. If a new serial port is installed it is necessary to restart DK-Matrix for the port to be accessible from the ‘Interface’ menu.


4 Communication.

Use the ‘Remote Control’ function to establish a ON-Line connection with the MSD. When the MSD is ON-Line, changes to X-points and output gain is set immediately. It is therefore not necessary to download the whole configuration file.

Use the ‘Upload’ function [CTRL+U] to read the configuration from the MSD. The upload can be terminated by pressing [ALT+F4].

Use the ‘Download’ function [CTRL+D] to write the configuration to the MSD.

If the the MSD is running software version 5.0 or later and it is detected that the preset to be downloaded is from an earlier version, DK-Matrix will ask if the preset should be upgraded to version 5.0. This is strongly recommended. Some settings in the configuration might be restored to factory defaults.

When a download is in progress it can be terminated by pressing [ALT+F4].

THIS IS NOT RECOMMENDED!!!

A partially downloaded configuration can prevent the MSD from starting or result in wrong readings.

If you terminate a download you MUST download a new configuration before restarting the MSD.

If the MSD does not start correctly, remove power and reapply power while holding down one of the softkeys on the MSD. When the screen turns blue release the softkey and a small window called “MSD BIOS Utility” in the top left corner of the LCD will appear.

You can now use DK-Matrix to download a new configuration, when done restart the MSD and it should now start correctly.

Use the restart button [CTRL+I] to restart the MSD and load the default startup preset. This will also update the MSD’s information on the statusbar.

Tip: If the upload, download and remote control buttons are disabled it might be because the MSD was attached to the serial port after DK-Matrix was started. Pressing ‘Restart’ [CTRL+I] will update the MSD’s information on the statusbar, and it will enable the appropriate communication functions.

Observe: If ‘Remote Control’ in the ‘File’-menu and on the toolbar is greyed out the MSD does not support the DOT-protocol.


5 The Matrix Window.

When DK-Matrix is started the matrix window becomes visible.

The matrix window can be broken up into four different sections.

Œ The Toolbar.

 The Input and Output labels.

Ž The Matrix Area.

 The Statusbar.

5.1 The Toolbar.

Open [CTRL+O]: Use this to load a configuration from file.

Tip: The item ‘Recent files’ in the ‘File’ menu will show a submenu with the last four opened files.

Save: Save the current configuration to a file.

Note: This is only active if changes has been made to the preset and the configuration previously has been saved with ‘Save As…’

Save as [CTRL+S]: Save the current configuration to a file with a new filename.

Remote Control: Use this to establish a on-line connection with the MSD for remote control.

Tip: Use the keyboard shortcut [Shift+Esc] to connect and [ESC] to disconnect.

Upload [CTRL+U]: Read the configuration from the MSD.

Download [CTRL+D]: Write the current configuration to the MSD.

Restart [CTRL+I]: Restart the MSD connected to the PC.

Preset Options: Use this to set global options and options for the currently selected preset.

Exit: Close the program.

This slider sets the backlight intensity on the MSD.

Note: This setting affects all 11 presets.

In Off-Line mode this dropdown box selects which of the 11 presets in the configuration to modify.

In ON-Line mode this dropdownbox will change the preset on the MSD and update the X-points in the matrix area. If a new preset is selected locally on the MSD this dropdown box will be updated automatically.

Tip: Using [SHIFT+F1] to [SHIFT+F11] will in ON-Line mode change the preset on the connected MSD.

Some of the commands from the menus have been placed on the toolbar.

Note: The dropdown box which selects the presets can not be found in the menus. The slider for the backlight intensity is placed in the menu called ‘LCD Options…’

5.2 The Statusbar.

The status bar is placed at the bottom of the matrix window and is separated into five fields.

The left field of the status bar shows the filename of the currently opened configuration file. If the configuration file has been uploaded from the MSD and hasn’t been saved, the status bar will show the text “Uploaded from MSD…”, it can also show other types of relevant information.

The second field provides an indication of the offset loaded in the configuration.

The three different offsets available is: International, US and German. The scales installed will be offset to follow the standards at the selected region, i.e. International for areas following the AES/EBU, US for areas referring to the SMPTE and finally German for areas following the German offsets.

The third field will show which type of MSD that is connected to the computer. If no MSD is connected, the field will show the message “Not Connected”. If you connect the MSD after DK-Matrix has been loaded you should restart the instrument by pressing the Restart button on the toolbar [Ctrl+I], this will update the information on the status bar.

The fourth field shows the serial number of the connected MSD. This will also be updated after an MSD-restart.

The fifth area of the status bar will show which serial port is currently in use. DK-Matrix supports up to 256 serial ports. Please refer to your computer’s documentation for further information.

Use the ‘Interface’ item in the ‘File’-menu to select which comport to use.

5.3 The Matrix Area.

The matrix area is where the X-points is connected. As default a X-point has to be double-clicked to be connected. This can be changed to a single-click in the menu ‘Tools’ - ‘Options’.

In OFF-Line mode a connected X-point is as default indicated by a blue [image]. Illegal X-points (X-points which can not be selected) is indicated by a grey [image] (this icon can as the only one be changed to invisible). This icon will as default turn red for a moment if it is selected.

In ON-Line mode a connected X-point connected by DK-Matrix is as default indicated by a green [image]. A X-point connected by the MSD (locally in the matrix-menu) is as default indicated by a red [image].

In ON-Line mode a X-point can also be locked which will make it impossible to change the X-point in DK-Matrix. A locked X-point is as default indicated by a yellow [image].

Note: A locked X-point can be cleared by setting the X-point locally in the matrix-menu on the connected MSD.

The appearance of these icons can be changed in the menu ‘Tools’ - ‘Options’.

5.3.1 Scrolling the matrix.

Holding down the mouse-wheel (middle button) will show the blue arrow shown in the figure to the right. Moving the mouse outside this arrow will cause the window to scroll in the direction the mouse has been moved.

Holding down the space key will have the same effect as holding down the mouse-wheel.

Observe: Utilities provided by some mouse manufacturers can prevent the scroll function from working correctly so please refer to the documentation for the mouse.

5.3.2 Matrix Popup Menu.

Right-clicking in the matrix area will bring up a menu showing the options for the currently selected X-point.

This menu is separated into three different sections.

The first section is associated with the inputs, the second is associated with the outputs and the third section is associated with both the inputs and the outputs.

Please refer to section 5.4.2 ‘Popup Menus’ for further information about the menu items.

Note: It is not possible to change the properties for more than one X-point at a time using this menu.

5.4 The Matrix Labels.

The matrix labels show the input and output names for the audio matrix. Moving the mouse around in the matrix area will highlight the current input and output label.

Note: If a matrix label has been selected the highlight colour will change.

5.4.1 Multi select.

Holding down the ‘CTRL’ key while clicking the matrix labels will multi select the labels one at a time. Holding down the ‘SHIFT’ key while clicking a label will select one label and when another label is clicked all the labels between the two will be selected (or deselected).

No labels selected. | 6 input labels selected.

Right clicking a matrix label will show a popup menu. The items in this menu will be enabled according to which items that have been selected and in which mode DK-Matrix is used. (ON-Line / OFF-Line).

Note: When selecting a PPM input label (from #57 to #88) the corresponding output label is also selected. The reason for this is that the PPM-bars in the MSD can function both as inputs and outputs so the properties for them are the same.

5.4.2 Popup menus.

Input menu in OFF-Line mode. | Output menu in OFF-Line mode.

The OFF-Line / ON-Line indicates in which mode the function is available.

The following options are available for the INPUTS.

Rename Item: (OFF-Line)

This item is available for all inputs, and make it possible to change the names of all the inputs. Input names from #01 to #32 and #57 to #88 are global for all 11 presets, this means that if a input name is changed in preset #1 it is also changed in the other ten presets. Input names from #33 to #56 are local to each preset.

PPM Option: (OFF-Line)

When selecting items between #57 and #88 the item ‘PPM Option’ is available. Refer to section 3.1 ‘PPM Options’ for further details.

SUM: (OFF-Line)

When selecting item #55 the SUM option is available. With this option it is possible to change whether the sum-point should add -3 or +0 dB. Please refer to section 6.4.1 in the MSD Users Guide for further information about the Sum and Difference Amplifier.

The following options are available for the OUTPUTS.

Rename Item: (OFF-Line)

This item is available for all outputs and has the same function as for the inputs.

Observe: All output names are global.

PPM Options: (OFF-Line)

When selecting items between #65 and #96 the item ‘PPM Options’ is available. Even though the item numbers differ, the properties are the same as for the inputs, so please refer to section 3.1 ‘PPM Options’ for further details.

Phase Options: (OFF-Line)

When selecting items between #53 and #62 the item ‘Phase Options’ is available. Please refer to section 6.2 ‘Phase Options’ for further details.

Set Output Gain: (ON-Line)

This item is available for all outputs and makes it possible to set the output gain between –12.0dB and +12.0dB in increments of 0.1dB. When DK-Matrix is ON-Line this menu item will show the actual gain setting for the selected output.

Lock/Unlock X-point: (ON-Line)

This item is available for all outputs and makes it possible to lock a X-point so it can not be changed.

Note: A locked X-point will automatically be unlocked if the X-point is changed directly on the MSD. Locked X-points are also unlocked if DK-Matrix is restarted.


6 Input and Output Options.

The functions described in this section are available from the popup menues described in section 5.3.2 and 5.4.1.

6.1 PPM Options.

From the ‘PPM Options’ window it is possible to change the appearance of the PPM-bars on the MSD.

The colour and width can be set individually for each of the 32 PPM-bars. There are seven colours to choose from (Green, Yellow, Blue, Fuchsia, Aqua and White. Black is also possible thus the PPM-bar would be “invisible”). The width of the PPM-bars can be altered according to your display requirements. There are three PPM-bar widths to choose from: X-WIDE, WIDE and NORMAL. Wide is the default setting.

To change colours of the PPM-bars, select the area you want to change:

PPM Colour determines the 'middle' colour of the PPM-bar.

UNDERLOAD Colour is the colour of the PPM-bar from the “underload” mark to the bottom.

TRACE Colour is the “track” or background colour of the PPM-bar (This would normally be selected black and thus be “invisible”).

Note: To select a colour for the full length of a PPM-bar, both UNDERLOAD Colour and PPM Colour must have same colour. The PPM-bars will always become RED in the ‘Overload’ area. ‘Overload’ and ‘Underload’ is defined by the individual standards in DK-Scale. Please refer to section 12.2.2 'Modify Scale' for further information about adjusting the 'Overload' and 'Underload' levels.

Selecting ‘Add a space at the right side of the PPM.’ will insert an extra space between the selected PPM-bars.

If you have selected more then one PPM-bar and some of them have different properties, the properties that are different will be blank. Only properties that are changed will be updated, this means that if the PPM-bars have different colours it is still possible to only change the width of the selected PPM-bars.

Click OK to save the changes or Cancel to abandon the changes.

6.2 Phase Options.

From the Phase Options window, it is possible to change the appearance of the Audio Vector Oscilloscope.

6.2.1 Oscilloscope Colour.

Use the dropdown box to select one of the seven possible colours used by the Audio Vector Oscilloscope. (Red, Green, Yellow, Blue, Fuchsia, Aqua and White).

6.2.2 Phasemeter Integration time.

Slow and Fast sets the phasemeter integration time. Slow mode is with a normal 10ms integration time, while the Fast mode is without any integration time.

6.2.3 Meter Compression.

The Audio Vector Oscilloscope is using dynamic-scaling to obtain the best visual indication. This is done by adjusting the input gain to the metering function. This meter compression function can be turned off by selecting the option ‘Compressor OFF’.

Observe: When the meter compression function is in use, the Audio Vector Oscilloscope can not be used to monitor the actual signal level.


7 Other Options.

The options described in this chapter are all available from the ‘Tools’ menu.

7.1 LCD Options.

From the ‘LCD Options’ window it is possible to set the backlight intensity for the MSD. The backlight slider is also placed on the toolbar in the matrix window.

Note: The backlight intensity is a global setting that affects all eleven presets.

7.2 Leq(m) options.

From the ‘Leq(m) Options’ window it is possible to set the colours of the graphs for the Graphic Leq(m).

The Leq(m) Trip level can also be set from this window.

Please refer to the MSD users guide for further information about the Graphic Leq(m).

7.3 Scale Options.

From the ‘Scale Options’ window it is possible to select the default scale for the selected preset from the seven scales installed in the preset.

Please refer to the chapter DK-Scale for further information on how to install new scales.

PPM Peak Hold and PPM Dual can also be set or cleared for the selected preset.

Please refer to the MSD users guide for further information about Peak Hold and PPM Dual.

7.4 Preset Options.

7.4.1 Preset Name.

In ‘Preset Name’ field it is possible to rename the selected preset. This name will be shown in the 'Audio Vectorscope' / Jelly-Fish™ window on the MSD.

7.4.2 Default Startup Preset.

If the configuration is compatible with the MSD software version 5.0 the 'Default Startup Preset' dropdown box will become active.

From this dropdown box it is possible to select which of the eleven presets the MSD should boot with. It is no longer necessary to boot in the ‘Base Setup’.

7.4.3 Default Startup Application.

If the configuration is compatible with the MSD software version 5.0 the 'Default Startup Application' dropdown box will become active.

From this dropdown box it is possible to select in which application the MSD should boot. There are 14 different applications available from this menu.

If 'Full Feature Mode' is selected, the MSD will startup in the standard MSD mode with the 'The Phase Correlation Meter', 'The Audio Vector Oscilloscope / Jelly-Fish™' and 'The Peak Programme Meter (PPM)'.

Please refer to the MSD users guide section 3 'The Application Start List' for further information about the different startup modes. (Applications)


8 DK-Matrix Options.

In the options window some of the program features can be changed for DK-Matrix.

8.1 Associated Filetypes.

When DK-Matrix starts, it automatically detects if the configuration-filetype 'PRE', the macro-filetype 'MCR' and the Compiled Distribution Package 'CDP' filetype are associated with DK-Matrix. When a file is associated with DK-Matrix it is possible to double click the file in the windows explorer to load it in DK-Matrix.

By unchecking the checkbox ‘Automatically check for file associations when DK-Matrix starts.’ it is possible to disable the automatic detection of filetypes. If the automatic detection has been disabled it is still possible to manually associate filetypes by checking the appropriate filetype in this section.

8.2 Matrix options.

In the ‘Matrix’ section it is possible to select whether or not it is necessary to double click in the matrix area to set a X-point.

The checkbox 'Trace Mouse Pointer' will if checked enable a special cursor in the 'Matrix Area' making it easier to see which X-point the mouse is hovering over. The colour of this cursor can be selected in the dropdownbox 'Trace Colour'. This dropdownbox contains a number of standard colours but also a number of windows colours.

A X-point can have different status i.e. On-Line, Off-Line, Locked and so forth. It is therefore possible to change how the different types of X-points are represented. By using the up-down buttons next to the X-point icons, it is possible to select among a number of different icons.

Note: Some of the icons like “Illegal X-point greyed” can not have the same appearance as the other icons.


9 Macro Functions.

In online mode it is possible to execute a series of DOT-commands, i.e. set X-points, adjust gain or select a new preset.

Note: If no MSD is connected or the connected MSD does not support the DOT-protocol all the items in the ‘Macro’- menu will be disabled.

9.1 Create macro.

Creating a macro that sets a series of X-points in the matrix is done by multi-selecting the outputs needed in the macro, and then select the menu item ‘Save Macro…’. When saving a macro, it is necessary to give it a name, this name will be shown in the ‘Macro’- menu when the macro is assigned to a menu item in the ‘Macro’- menu. A filename is also required.

A macro-file 'MCR' is a standard text file that can be edited with a text editor. This text file contains a series of DOT-commands that will be executed in sequence. Please see the section ‘DOT-Protocol’ for further information on valid commands.

9.2 Assign macro.

To assign a macro to the macro-menu, hold down the [SHIFT] key while selecting the menu-item (1 to 10). This will open a file-dialog asking for the filename of the macro to assign.

9.3 Unassign macro.

To unassign a macro from the macro-menu, hold down the [DELETE] key while selecting the menu-item (1 to 10).

9.4 Execute macro.

To execute an assigned macro just select the menu item it has been assigned to, or use the keyboard shortcuts. [CTRL+F1] to [CTRL+F10].

The menu-item ‘Run macro…’ [CTRL+F11] will ask for a filename of a macro, and then execute it.

Please see the section ‘Open files’ for more information on executing macros.

A macro can always be stopped by selecting the menu-item ‘Stop macro’ [CTRL+F12].

If the menu item ‘Enable the shortcuts in this menu to be global’ is checked, DK-Matrix will execute the macros even if the program is out of focus, i.e. if DK-Matrix is minimized or another program like the Internet Explorer is on top.

Observe: If you enable ‘global shortcuts’ then please make sure that other programs do not have global shortcuts enabled that will conflict with [CTRL+F1] to [CTRL+F12].


10 Software Update.

WARNING!!!

DO NOT TURN OFF THE POWER OR DISCONNECT THE MSD DURING THE UPDATE PROCESS!!!

This will render the MSD inoperable!

When new software packages is released by DK-Technologies, they are compiled into one single file with the extension ‘CDP’ (Compiled Distribution Package). This file is to be installed using the function ‘Install Software’ placed in the sub-menu ‘MSD Software’ in the ‘Tools’-menu.

Selecting ‘Install Software’ will open a window where the title bar will state which type of MSD is connected to the computer. This window is separated into three different areas.

Note.: If the MSD is in BIOS-Mode it is necessary to select from a dropdown box which type of MSD that is connected to the computer. If a wrong MSD-type is selected the CDP-File will not be installed correctly.

10.1 Select Software Package.

The input field in the area ‘Select software package’ is used to specify the filename of the CDP-File that should be installed.

10.2 Backup Old Software.

As an option it is possible to upload a backup of the software installed in the MSD. Selecting the checkbox in the area ‘Backup old software’ will enable the input field making it possible to specify a destination filename for the backup file. This backup file can only be installed into an MSD of the same type.

Note.: If the MSD is in BIOS-Mode this option is disabled.

10.3 Execute.

The third area is the ‘Progress’ area. When the ‘Execute’-button is pressed the two progress bars in the ‘Progress’ area will show the progress of the installation. The top progress bar will show the individual operation i.e. creating backup, downloading scales or other operations. The bottom progress bar will show the overall progress of all the operations.

If the software in the MSD is later then version 5.0 the MSD will be put into download mode when the ‘Execute’-button is pressed. In this mode the MSD will show a blue screen stating it is in download mode and none of the MSD-keys will function.

When the installation procedure is complete the MSD will be taken out of the download mode, the MSD will restart and a message will state that the installation is complete.

In some cases it might be necessary to reinstall the SWA activation key.


11 Install Activation Key.

From MSD-Software version 5.0 an activation key is required for the software to function. If the MSD shows a blue screen with the message ‘Invalid Activation Key’, it is necessary to install a new activation key.

This 16 digit activation key is installed using the function ‘Install Activation Key’ placed in the sub-menu ‘MSD Software’ in the ‘Tools’-menu.

When opening the window ‘Install Activation Key’ DK-Matrix will disconnect from the MSD if it is in ON-Line mode. After a few seconds the Activation Window will show the MSD-Type, Serial Number and the current Activation Key installed in the MSD.

Entering a new activation key in the four input fields followed by the enter key, will install the Activation Key and restart the MSD. If the Activation Key is correct the MSD will boot with the normal MSD screen.

Observe: DK-Matrix will not indicate whether or not the Activation Key is correct.


12 DK-Scale.

By selecting ‘DK-Scale...’ from the ‘Tools’ menu in DK-Matrix it is possible to design or modify the PPM scales used by the MSD.

The programme lets you set the reference, and it is also possible to change the design and number of the horizontal lines of the PPM bars, and even design a completely new scale based on the standard ballistics of international scales.

If you are not thoroughly familiar with the characteristica and relationship between the different scales you should not attempt to redefine scales as described in this chapter.

12.1 The DK-Scale Window.

The DK-Scale main window with the international scale package loaded.

The DK-Scale window is separated into 5 main areas:

Œ The Toolbar. Commonly used functions are placed on the toolbar.

 Scale parameters.

Ž Scale Lines. This is where the appearance of the scale are defined.

 Scale Preview. This is a preview of how the scale will look when it is installed in the MSD.

 Note. In this field it is possible to describe the scale.

12.1.1 The Toolbar.

Open [CTRL+O]: Use this to load a scalepackage from file.

Save: Save the current scalepackage to a file.

Save as [CTRL+S]: Save the current scalepackage to a file with a new filename.

Download [CTRL+D]: Write the current scale to the MSD.

Restart [CTRL+I]: Restart the MSD connected to the PC.

Previous: Select the previous scale in the scalepackage.

Next: Select the next scale in the scalepackage.

Exit: Exit to DK-Matrix main window.

Using this dropdownbox it is possible to jump directly to one of the 20 scales in the scalepackage. This dropdownbox will also show the name of the scales in the scalepackage.

12.2 Getting Started.

Scales in DK-Scale are organized in scalepackages of 20 scales. To modify or design a new scale it is an advantage to load an existing scale package using the 'Open' item in the 'File' menu.

When a scale package is opened, the dropdownbox in the toolbar will always have the first scale in the scalepackage selected.

There are 15 different scales defined in a standard scalepackage:

Number Name Type.

Scale #1 I Nordic European Countries

Scale #2 IIA BBC British Broadcasting Corp.

Scale #3 IIB EBU European Broadcasters Union

Scale #4 DIN German DIN Scale

Scale #5 VU Standard VU

Scale #6 DMU1 Digital 1

Scale #7 DMU2 Digital 2

Scale #8 REF Digital Reference

Scale #9 CBC CBC Canadian Broadcasting Corp.

Scale #10 ABC American Broadcasting Corp.

Scale #11 NBC National Broadcasting Corp.

Scale #12 40A Loudness Meter 40A

Scale #13 Leq Graphic Loudness

Scale #14 Fine

Scale #15 40C Loudness Meter 40C

Scale #16 NOT USED

Scale #17 NOT USED

Scale #18 NOT USED

Scale #19 NOT USED

Scale #20 NOT USED

Please note that there are 3 different scale packages available. International, German and US. The difference between these scalepackages are the reference levels for the different scales.

12.2.1 Download Scales.

If a MSD was connected when the DK-Scale window was opened, the download button on the toolbar are enabled, otherwise connect the MSD and press the 'Restart' button. Please observe that the serial port in the 'Interface' menu in the DK-Matrix main window must be set correctly.

The dropdownbox 'Key No.' in the 'Scale Parameters' area defines in which of the 7 softkeys in the MSD the scale is placed.

Three additional key positions are available from this dropdownbox: 'Leq', '1630 I' and '1630 II'. The 'Leq' position is the position for the Graphic Leq(m) scale. '1630 I' and '1630 II' are the positions for the scales used by the DMU1630 option in the MSD. Please see chapter 9.1 and 9.2 in the MSD Users Guide for further information about these functions.

The edit field 'Short Name' defines the name of the scale. This 4 character name will be shown in the softkey on the MSD.

12.2.2 Modify Scale.

It is easily possible to modify a scale to match a specific need. A scale can consist of up to a total of 28 lines.

The 'Scale Lines' area has basicly 3 columns.

The first column defines the level for a particular scale line relative to the reference value defined in the ‘Scale Parameters’ area.

The second column defines the line type, and this is selected from a dropdownbox. There are 8 different line types available including the ‘Overload’ and ‘Underload’ mark which are two special definitions, that defines the ‘Overload’ and ‘Underload’ levels of the scale.

The 'Overload' level is illustrated by a red line in the top right corner of the ‘Scale Preview’ area and the ‘Underload’ level is illustrated by a green line in the bottom right corner of the ‘Scale Preview’ area. These lines will not be shown on the MSD but if different colours are selected for the 'PPM' colour and 'PPM Underload' colour this will be the boundaries for the colour change. Please refer to section 3.4 'PPM Options' for further information on how to specify these colours.

The scale lines does not necessarily have to be placed in numerical order making it easier to add lines without redesigning the whole scale.

The standardised scales DK-Scale are all based on international standards that specify the integration time, return time and bending of the curves. This means that a DIN scale, for instance, always behaves like a DIN scale with regard to integration time, return time etc.

From the ‘Dynamics’ dropdownbox in the ‘Scale Parameters’ area it is possible to select between 12 different scale standards.


Appendix A DOT-Protocol.

This section is only intended for software developers who wish to develop software to control the MSD.

Please note that the commands described in this section are subject to change without notice.

The DOT-Protocol is a set of commands to control the MSD through the serial interface using a standard terminal connection.

Requirements:

Speed: 9600 baud

Data Bits: 8

Stop Bits: 1

Parity: None

Flow Control: None

All commands and responses start with a [.] (period) and end with a [Carriage Return] (Ascii Character 13). All commands are case sensitive.

Note: If a command is shown as [.SA65,33] the square brackets must not be entered.

The following commands is available for controlling the MSD:

S: Set (Write), write a single command.

C: Connect (Write), write multiple commands.

I: Interrogate (Read), verify a single command (X-point).

L: List (Read), verify a series of commands (X-points).

The following matrix identifiers are available:

A:  X-point operations.

G:  Gain operations.

I:  MSD information readout.

P:  Preset operations.

The commands are constructed the following way:

. | Command | Matrix Identifier | Destination (Output - Y) | , | Source (Input - X) | Chr(13) | Appendix
. | S | A | 1 to 96 | , | 1 to 88 | Chr(13) | A.1
. | S | G | 1 to 96 | , | -210 to 210 | Chr(13) | A.2
. | S | P | 9 | , | 1 to 11 | Chr(13) | A.3
. | S | P | 15 | , | 1 to 21 | Chr(13) | A.4
. | I | A | 1 to 96 | , | - | Chr(13) | A.6
. | I | G | 1 to 96 | , | - | Chr(13) | A.7
. | I | P | 9 | , | - | Chr(13) | A.8
. | L | A | -, 1 to 96 | , | -, 1 to 88 | Chr(13) | A.9
. | L | G | -, 1 to 96 | , | -, -210 to 210 | Chr(13) | A.9
. | L | P | 9 | , | - | Chr(13) |
. | L | P | 15 | , | - | Chr(13) | A.10
. | L | I | 1 to 17 |  | - | Chr(13) | A.11

Note: The – in the table denotes a huphen. (Ascii Character 45)

To validate the successful execution of commands, the MSD will produce the following responses:

A:     Acknowledge, the command was executed successfully.

N:     Invalid Data, the X-point or matrix identifier does not exist, the command is ignored.

F:     Fault, the MSD was unable to execute the command.

E:     Syntax Error [E*255], this response indicates that the MSD received an incomprehensible message. When a command starts with a [.] and is terminated with a [Carriage Return], but otherwise does not conform to the command format, the MSD will issue a syntax error.

Commands beginning with characters other than a [.] and terminated without a [Carriage Return], is ignored by the MSD, and produces no response.

A.1 Set X-point.

Routing Analogue Input 1 (#33) to PPM1 (#65) in the matrix will require the following command: [.SA65,33]. This command will, if executed successfully, produce the following response from the MSD: [.AA65,33].

If the X-point is illegal, i.e. if the source selected does not exist (no input module is installed), the response will be [.FA65.33].

If the command contains invalid data, i.e. the source number is outside the range of the matrix, the response could be [.NA65.89]. The maximum number of inputs in the matrix is 88, and the maximum number of outputs is 96.

A.2 Set Gain.

Setting the output gain of the matrix is much like the setting a X-point, except that the matrix identifier is [G] and the source is the new gain value between -21dB and +21dB in steps of 0.1dB.

Setting the gain for the Analogue Output 1 (#33) to +6dB will require the following command: [.SG33,60]. Setting the gain to –6dB will require: [.SG33,-60]. The response message are the same as for the Set X-point command.

The output gain can be set for outputs between #33 and #50. If an illegal output is selected or the gain is outside the range, the response will be [.NYY,XXX]. YY denotes the output number in the matrix and XX denotes the gain setting.

A.3 Set Preset.

The set preset command will activate a new preset in the MSD. The command [.SP9,4] will activate preset #4 and load it from the flash-memory in the MSD. The response message are the same as for the Set X-point command. I.e. [.AP9,4]. If a preset is selected locally on the MSD (in the preset menu or using one of the preset keys on the PT0660M) the MSD will transmit an acknowledge response.

A.4 Set Application.

The different utilities in the MSD are organized in separate application programs i.e. the FFT-Analyser, Graphic Loudness, Level Logging etc.

To activate the FFT-Analyser application the command [.SP15,9] must be transmitted to the MSD. If the application is executed correctly the MSD will send an acknowledge [.AP15,9]. If an application is started locally on the MSD an acknowledge will also be transmitted.

Transmitting another command like [.SP15,8] will initiate the 1/3-Octave Analyser. When an application is terminated either by the exit button on the MSD or by the exit-command [.SP15,19] the previous program will be reloaded into the MSD.

The following is a list of available Application Set Commands.

Description | Command.
Application Start List. | .SP15,1
Full Feature Mode. (Normal user interface.) | .SP15,2
Easy Short Hand. | .SP15,3
DMU1630 Emulation. | .SP15,4
Session Logging. | .SP15,5
Graphic Loudness. | .SP15,6
DCF77 Radio Clock. | .SP15,7
1/3 Analyser. | .SP15,8
FFT Analyser. | .SP15,9
Preset List. | .SP15,10
Matrix Compact. (Normal matrix menu.) | .SP15,11
Matrix Extended. (Extended matrix menu.) | .SP15,12
Tonegenerator. | .SP15,13
Metering Menu. | .SP15,14
Reserved. | .SP15,15
Reserved. | .SP15,16
Freeze MSD Screen. (Un-freeze using [.SP15,19]) | .SP15,17
Level–Logging. Please see appendix A.13 for further details. (This application can not be started locally on the MSD) | .SP15,18
Exit the running application. | .SP15,19
Enable download mode. (Must be followed by an MSD-Restart.) | .SP15,20
MSD-Restart. | .SP15,21

A.5 Connect X-point.

Multiple X-points can be set at the same time using the ‘connect’ command.

(Different colours in the ‘connect’ command are used to separate the command options from each other.)

If Digital Input 1 and 2 (#1 and #2) should be routed to Analogue Output 1 and 2 (#33 and #34) and the output gain should be raised 6 dB, the command would be: [.CA33,1A34,2G33,60G34,60]. If all commands are set correctly the response will be [.AA33,1AA34,2AG33,60AG34,60].

The response can also contain error and fault responses. I.e. [.AA33,1AA34,2NG33,212AG34,60] the first gain command is outside the range (+21,2dB).

A.6 Interrogate X-point.

The interrogate command reads the status of a X-point. Sending the command [.IA65,-] will return the number of the input, the output is connected to. [.AA65,53] In this case the response declares that input #53 (the signal generator) is routed to PPM1 (#65).

The error response are the same as for setting a X-point.

A.7 Interrogate Output Gain.

To read the gain level of an output the interrogate command can be used. Sending the command [.IG33,-] will return the gain setting for the Analogue Output #1. In this case the response [.AG33,60] declares that output gain for output #33 is raised 6 dB.

The error response are the same as for setting a X-point.

A.8 Interrogate Preset.

To determine which preset is active in the MSD the interrogate preset command can be used. Sending the command [.IP9,-] will return the preset number for the active preset. In this case the response [.AP9,4] declares that preset #4 is active.

The error response are the same as for setting a X-point.

A.9 List X-points.

The list command can be used for two different purposes. First, the command can for a given destination be used to list the sources connected to the next 10 destinations. Secondly, the command can be used to list which destinations are connected to a given source.

The following command will list which sources that are connected to the first ten PPM-bars: [.LA65,-] the response could look like the following: [.AA65,33AA66,34AA67,35AA68,36AA69,37AA70,38AA71,39AA72,40AA73,52AA74,52].

The following command will list which of the next ten PPM-bars that is turned off (routed to source #52) starting from PPM1 (#65). [.LA65,52] – the response could look like the following: [.AA73,52AA74,52AA75,52AA76,52

AA77,52AA78,52AA79,52AA80,52AA81,52AA82,52].

The destination part of the list command can in this case contain a [-] (dash). [.LA-,52] will list the first ten destinations connected to source #52 (OFF).

The list command can also return the output gain settings [.LG33,-] or return which output that is set to a given gain [.LG-,60] or [.LG33,60].

A.10 List Application.

The command [.LP15,-] will list which application that are loaded in the MSD and the response could be something like [.AP15,9] stating that it is the FFT-analyzer that is loaded. Please see appendix A.4 for information about the different application commands.

A.11 List MSD information.

The list information command can be used to determine which type of MSD is connected, the type of input and output modules, the software version etc. installed in the connected MSD. Sending the command [.LI1,-] will return a list of information about the connected MSD.

Since a list command only returns 10 items it is necessary to use two commands [.LI1,-] and [.LI11,-] to list all 17 items in the list.

The following is a typical response from a [.LI1,-] and [.LI11,-] command.[.AI1,8446AI2,2AI3,7AI4,288AI5,512AI6,1025AI7,1280AI8,8AI9,0AI10,49][.AI11,49AI12,0AI13,0AI14,17AI15,17AI16,0AI17,16]

Some of the responses must be converted to hexadecimal for correct readings.

The fields that are grayed out does not need to be converted.

Description | Responce | Decimal Value | Hexadecimal Value
Serial Number. | AI1,8446 | 8446 |
Not Used. | AI2,2 |  |
Firmware Version. | AI3,7 | 7 | 7
Hardware ID. | AI4,288 | 288 | 0120
Bios Version. | AI5,512 | 512 | 0200
Extended Bios ID. | AI6,1025 | 1025 | 0401
Software Version. | AI7,1280 | 1280 | 0500
Number of input channels. | AI8,8 | 8 |
Number of output channels. | AI9,0 | 0 |
Type of input module in slot I1. | AI10,49 | 49 | 31*)
Type of input module in slot I2. | AI11,49 | 49 | 31*)
Type of input module in slot I3. | AI12,0 | 0 | 0*)
Type of input module in slot I4. | AI13,0 | 0 | 0*)
Type of output module in slot O1. | AI14,17 | 17 | 11*)
Type of output module in slot O2. | AI15,17 | 17 | 11*)
Type of output module in slot O3. | AI16,0 | 0 | 0*)
Type of output module in slot O4. | AI17,16 | 16 | 10*)
*)Please see the MSD Users Guide Software Version 5.0 Appendix A for the different module types available.

The error response are the same as for setting a X-point.

A.12 Automatic response.

The MSD is also capable of generating response messages without receiving any commands through the serial interface.

1. Acknowledge X-point. [.AAYY,XX]. This response is received from the MSD when a X-point has been changed locally in the matrix. YY denotes the output number and XX denotes the input number in the matrix.

2. Acknowledge Preset. [.AP9,XX]. This response is received from the MSD when a new preset is selected locally on the MSD. XX denotes the preset number.

3. Acknowledge Application. [.AP15,XX]. This response is received from the MSD when a new application is selected locally on the MSD. XX denotes the application number. (See appendix A.4). This command is also transmitted when the MSD is booted.

4. Update. [U*254]. This response is received from the MSD when changes have been made locally to the MSD other than the above mentioned.

A.13 Level-logging.

The level-logging application in the MSD can be used to read the levels of the active PPM-bargraphs.

To activate the level-logging application, the command [.SP15,18] must be transmitted to the MSD. If the application is executed correctly the MSD will send an acknowledge [.AP15,18].

When the level-logging application is active the normal softkey menues on the MSD are hidden and disabled. This means that the only way to exit the level-logging application is by using the command [.AP15,19].

A screen shot from a MSD600M++ in level logging mode.

In the level-logging application the matrix identifier [L] is available.

When the level-logging application is active it is still possible to set X-points in the matrix using the standard dot-commands.

Input levels can only be read for the PPM-Bars. (Output #65 to #96 in the Audio Matrix.). Use the following commando read a input-level for the first PPM-Bar: [.IL65,-]. The response will be [.AL65, Input level]. The input level is a number between 0 and 32767 on a logarithmic scale where 0 dB (International Type I Scale) corresponds to 4100. The formula below can be used.

Subtract 18 dB from the result to convert this readout to a dB reading that corresponds to the international DMU1 scale where 0dB is full scale.

Example.:

Applying a +12dB signal from the internal tone generator that will read –6dB on the international DMU1 scale, will with the list command [.IL65,-] return the following response: [.AL65,16414]

To have the reading correspond to the International DMU1 scale, subtract 18 from the result and the reading will be –5,96dB. (-18dB corresponds to 0dB on the Type 1 scale).

It is also possible to use a list command [.LLXX,-] returning ten levels at a time. (XX Denotes a PPM-Bargraph between 65 and 96).


Appendix B Keyboard Shortcuts.

The following shortcuts are available in DK-Matrix.

File.

[Ctrl+O] Open a configuration file from disk.

[Ctrl+1] Reopen recent file number 1.

[Ctrl+2] Reopen recent file number 2.

[Ctrl+3] Reopen recent file number 3.

[Ctrl+4] Reopen recent file number 4.

[Ctrl+S] Save a configuration file to disk with a new filename.

Communication.

[Ctrl+U] Upload configuration from MSD.

[Ctrl+D] Download configuration to MSD.

[Ctrl+I] Restart MSD.

[Shift+ESC] Connect to the MSD as remote.

[ESC] Disconnect from the MSD as remote.

[Shift+F1]

to Select preset 1 to 11 on the MSD as remote.

[Shift +F11]

Macro.

[Ctrl+F1]

to Run assigned macro 1 to 10.

[Ctrl +F10]

[Ctrl +F11] Run unassigned macro.

[Ctrl +F12] Stop running macro.

Virtual Keyboard.

[Ctrl+K] Show / Hide the virtual keyboard. (This keyboard will send keystrokes to the connected MSD.)

Note.: Not all MSD’s will respond to these keystrokes.

[F1 to F8] When the virtual keyboard has focus these keys will press the appropriate key on the connected MSD.

Miscellaneous.

[SPACE] Holding down the space bar while moving the mouse around in the matrix area will make it possible to scroll around in the window.

[The Middle Mouse-button.]

Holding down the middle mouse-button (scroll wheel) will give the same result as holding down the space bar.

Note.: Utilities provided by some mouse manufacturers can prevent this function from working correctly so please refer to the documentation for the mouse.


The MSD Audio Matrix.